Package Details: gimp-plugin-astronomy 0.10-1

Git Clone URL: https://aur.archlinux.org/gimp-plugin-astronomy.git (read-only, click to copy)
Package Base: gimp-plugin-astronomy
Description: Gimp Astronomy Plugins
Upstream URL: http://hennigbuam.de/georg/gimp.html
Keywords: galaxy picture sky space stars
Licenses: GPL
Submitter: natrio
Maintainer: natrio
Last Packager: natrio
Votes: 18
Popularity: 0.000006
First Submitted: 2012-02-18 16:49 (UTC)
Last Updated: 2019-01-17 19:59 (UTC)

Latest Comments

wadouk commented on 2019-01-09 21:38 (UTC) (edited on 2019-01-09 21:39 (UTC) by wadouk)

The 0.10 version compile (configure && make && sudo make install) and load, available on the website link

dreieck commented on 2018-05-17 11:06 (UTC)

Build fails for me:

alignment.c: In function ‘dialog’:
alignment.c:1659:33: warning: cast to pointer from integer of different size [-Wint-to-pointer-cast]
   &parameters.alignment_method, (gpointer) parameters.alignment_method,
                                 ^
make[2]: *** [Makefile:345: alignment.o] Error 1
make[2]: Leaving directory '/var/tmp/yaourt-tmp-felics/aur-gimp-plugin-astronomy/src/gimp-plugin-astronomy-0.8/src'
make[1]: *** [Makefile:250: all-recursive] Error 1
make[1]: Leaving directory '/var/tmp/yaourt-tmp-felics/aur-gimp-plugin-astronomy/src/gimp-plugin-astronomy-0.8'
make: *** [Makefile:205: all] Error 2
==> ERROR: A failure occurred in build().
    Aborting...

kwacka commented on 2016-10-10 12:59 (UTC)

Fails to build - alignment.c:473:23: error: ‘gsl_multifit_fdfsolver {aka struct <anonymous>}’ has no member named ‘J’ gsl_multifit_covar( s->J, 0.0, covar ); also make[2]: *** [Makefile:345: alignment.o] Error 1

natrio commented on 2016-01-10 09:53 (UTC)

Fixed by delete the strange "char *strndup(const char *s, size_t n);" string, with duplicated strndup() declaration.

txtsd commented on 2016-01-10 04:08 (UTC)

Same error as Neutrino. Please fix!

Neutrino commented on 2015-10-09 12:26 (UTC)

this package doesn't build: In file included from /usr/include/string.h:630:0, from merge.c:32: merge.c:33:7: Fehler: expected identifier or »(« before »__extension__« char *strndup(const char *s, size_t n);

natrio commented on 2012-12-01 20:14 (UTC)

Updated to version 0.8

vinvin commented on 2012-06-17 02:24 (UTC)

Thanks for the package! perl-xml-parser is missing in dependencies (error at configure: checking for XML::Parser... configure: error: XML::Parser perl module is required for intltool).